curl --request POST \
--url https://api.chainstack.com/v2/nodes/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "My Ethereum node",
"project": "PR-123-456-789",
"cloud": "CC-0001",
"blockchain": "BC-000-000"
}
'{
"id": "ND-123-456-789",
"name": "My Ethereum node",
"network": "mainnet",
"protocol": "ethereum",
"project": "PR-123-456-789",
"cloud": "CC-0001",
"region": "us-east-1",
"provider": "aws",
"status": "running",
"details": {
"api_namespaces": [
"net",
"eth",
"web3",
"txpool",
"debug"
],
"https_endpoint": "https://nd-123-456-789.p2pify.com",
"wss_endpoint": "wss://ws-nd-123-456-789.p2pify.com",
"beacon_endpoint": "https://beacon-nd-123-456-789.p2pify.com",
"graphql_endpoint": "https://nd-123-456-789.p2pify.com/graphql"
},
"blockchain": "BC-000-000"
}Create a blockchain node using the Chainstack Platform API v2 with the new deployment options model. Send a POST request to /v2/nodes/ with the configuration.
curl --request POST \
--url https://api.chainstack.com/v2/nodes/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "My Ethereum node",
"project": "PR-123-456-789",
"cloud": "CC-0001",
"blockchain": "BC-000-000"
}
'{
"id": "ND-123-456-789",
"name": "My Ethereum node",
"network": "mainnet",
"protocol": "ethereum",
"project": "PR-123-456-789",
"cloud": "CC-0001",
"region": "us-east-1",
"provider": "aws",
"status": "running",
"details": {
"api_namespaces": [
"net",
"eth",
"web3",
"txpool",
"debug"
],
"https_endpoint": "https://nd-123-456-789.p2pify.com",
"wss_endpoint": "wss://ws-nd-123-456-789.p2pify.com",
"beacon_endpoint": "https://beacon-nd-123-456-789.p2pify.com",
"graphql_endpoint": "https://nd-123-456-789.p2pify.com/graphql"
},
"blockchain": "BC-000-000"
}Documentation Index
Fetch the complete documentation index at: https://chainstack-mintlify-flesh-empty-pages.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Chainstack API uses API keys to authenticate requests. You can view and manage your API keys in the platform UI.
Your API keys carry many privileges, so be sure to keep them secure!
Provide your API key as the Authorization header. The value of the header consists of Bearer prefix and secret key generated through the platform UI.
curl -X GET 'https://api.chainstack.com/v1/organization/' \
--header 'Authorization: Bearer FX7CWlLg.FMpAO8cgCX2N7s41EncRru2nb5CmTZUt'All API requests must be made over HTTPS.
Name of the node.
Network name.
Protocol name.
ID of the project.
ID of the cloud.
Cloud region.
Cloud provider.
Status of the node.
Protocol-specific attributes.
Blockchain identifier.
"BC-000-000"
Was this page helpful?